import random

import pytest
from BAE.utils import get_dataset


@pytest.fixture(scope="module")
def random_state():
    return random.randint(0, 1e5)


@pytest.fixture(scope="module")
def PhysionetDataset():

    return get_dataset(
        name="SleepPhysionet",
        n_subjects=6,
        n_jobs=1)
